<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.ExercisePaperMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.ExercisePaper">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="question_type" jdbcType="VARCHAR" property="questionType" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="no" jdbcType="INTEGER" property="no" />
    <result column="logic" jdbcType="VARCHAR" property="logic" />
    <result column="logic_extend" jdbcType="VARCHAR" property="logicExtend" />
    <result column="struct_three" jdbcType="INTEGER" property="structThree" />
    <result column="struct_four" jdbcType="INTEGER" property="structFour" />
    <result column="question_number" jdbcType="INTEGER" property="questionNumber" />
    <result column="question_no_ids" jdbcType="VARCHAR" property="questionNoIds" typeHandler="com.nuliji.tools.mybatis.handler.IntegerArrayWithJsonHandler" />
    <result column="status" jdbcType="INTEGER" property="status" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `question_type`, `title`, `no`, `logic`, `logic_extend`, `struct_three`, `struct_four`, 
    `question_number`, `question_no_ids`, `status`
  </sql>
</mapper>